org.apache.jmeter.extractor

## Interface Extractor

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JoddExtractor, JSoupExtractor

    public interface Extractor
    extends Serializable

CSS/JQuery based extractor for HTML pages

Since:
  2.9

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `extract(String expression, String attribute, int matchNumber, String inputString, List<String> result, int found, String cacheKey)`

### Method Detail

#### extract

    int extract(String expression,
                String attribute,
                int matchNumber,
                String inputString,
                List<String> result,
                int found,
                String cacheKey)

Parameters:
  `expression` - Expression used for extraction of nodes
  `attribute` - Attribute name to return
  `matchNumber` - Match number
  `inputString` - Page or excerpt
  `result` - List of results
  `found` - current matches found
  `cacheKey` - If not null, the implementation is encouraged to cache parsing result and use this key as part of cache key
Returns:
  match found updated